const Sequelize = require("sequelize");
const sequelizeConnect = require("../connection/db");

const SystemUser = sequelizeConnect.define(
  "system_user",
  {
    id: {
      type: Sequelize.BIGINT,
      primaryKey: true,
      allowNull: false,
      autoIncrement: true,
    },
    Fullname: {
      type: Sequelize.STRING(50),
      allowNull: true,
    },
    email_address: {
      type: Sequelize.STRING(100),
      allowNull: true,
    },
  },
  {
    tableName: "system_user",
    timestamps: false,
  }
);

module.exports = SystemUser;
